Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.javax.crypto
Class JSSKeyGeneratorSpi.RC4

    java.lang.Object
      |
      +--javax.crypto.KeyGeneratorSpi
            |
            +--org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi
                  |
                  +--org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi.RC4

Enclosing class:
  org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi

public static class JSSKeyGeneratorSpi.RC4
extends org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi

Nested Class Summary
`static class` | `JSSKeyGeneratorSpi.AES`
`static class` | `JSSKeyGeneratorSpi.DES`
`static class` | `JSSKeyGeneratorSpi.DESede`
`static class` | `JSSKeyGeneratorSpi.HmacSHA1` Deprecated. This class name is misleading. This algorithm is used for generating Password-Based Authentication keys for use with HmacSHA1. Use PBAHmacSHA1 instead.
`static class` | `JSSKeyGeneratorSpi.PBAHmacSHA1`
`static class` | `JSSKeyGeneratorSpi.RC4`

Constructor Summary
`JSSKeyGeneratorSpi.RC4()`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateKey()`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` | `engineInit(int keysize, java.security.SecureRandom random)`
`protected void` | `engineInit(java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSKeyGeneratorSpi.RC4

    public JSSKeyGeneratorSpi.RC4()

Method Detail

### engineInit

    protected void engineInit(int keysize,
                              java.security.SecureRandom random)
                       throws java.security.InvalidParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidParameterException`

### engineInit

    protected void engineInit(java.security.SecureRandom random)
                       throws java.security.InvalidParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidParameterException`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidAlgorithmParameterException`

### engineGenerateKey

    protected javax.crypto.SecretKey engineGenerateKey()

  Specified by:
    `engineGenerateKey` in class `javax.crypto.KeyGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD